|
Menu location |
---|
EM → FHPort |
Workbenches |
EM |
Default shortcut |
E P |
Introduced in version |
0.17 |
See also |
EM FHNode, EM FHSegment, EM FHPath, EM FHPlane, EM FHEquiv |
Description
The FHPort tool creates a FastHenry port between two FHNode objects.
FastHenry FHPort
Usage
The FHPort object is based on the two existing FHNodes between which it will create a FastHenry port.
Remarks
- The first node you select is the positive node of the port, and the arrow that is the shape of the FHPort object will point in this direction.
Properties
- DataNodePos: the positive FHNode of the FastHenry port
- DataNodeNeg: the negative FHNode of the FastHenry port
Scripting
See also: FreeCAD Scripting Basics.
The FHPort object can be used in macros and from the Python console by using the following function:
port = makeFHPort(nodePos=None,nodeNeg=None,name='FHPort')
- Creates a
FHPort
object. nodePos
is the positive node FHNode object of the FastHenry port.nodeNeg
is the negative node FHNode object of the FastHenry port.name
is the name of the object
Example:
import FreeCAD, EM
fhnode_p = EM.makeFHNode(X=1.0,Y=0,Z=0)
fhnode_n = EM.makeFHNode(X=0,Y=1.0,Z=0)
fhport = EM.makeFHPort(fhnode_p, fhnode_n)
This page is retrieved from https://wiki.freecad.org/EM_FHPort